- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# mismatched_replacements_exception Class Reference
[Format API Interface Functions]

`#include <fastformat/exceptions.hpp>`

Inheritance diagram for mismatched_replacements_exception:

List of all members.

## Detailed Description

Root class for all parameter replacement exceptions.

This exception class represents a mismatch between the replacements specified in a format and the arguments presented to the formatting function.

Note:
  This class is abstract

## Public Types
typedef fastformat_exception | parent_class_type
| The parent exception class type.
typedef mismatched_replacements_exception | class_type
| This type.
typedef parent_class_type::string_type | string_type
| The string type.
## Public Member Functions
| mismatched_replacements_exception (char const *message, ff_replacement_code_t code, int numberOfReplacements, int firstMismatchedReplacementIndex)
| Constructs an exception with the given message.
## Public Attributes
const ff_replacement_code_t | code
| The code indicating the cause of the problem.
const int | numberOfReplacements
| The number of replacement parameters in the format.
const int | firstMismatchedReplacementIndex
| The index of the first mismatched replacement parameter.

## Member Typedef Documentation

typedef fastformat_exception parent_class_type

The parent exception class type.

Reimplemented from fastformat_exception.

Reimplemented in missing_argument_exception, and unreferenced_argument_exception.

typedef mismatched_replacements_exception class_type

This type.

Reimplemented from fastformat_exception.

Reimplemented in missing_argument_exception, and unreferenced_argument_exception.

typedef parent_class_type::string_type string_type

The string type.

Reimplemented from fastformat_exception.

Reimplemented in missing_argument_exception, and unreferenced_argument_exception.

## Constructor & Destructor Documentation

mismatched_replacements_exception | ( | char const * | message,
|  | ff_replacement_code_t | code,
|  | int | numberOfReplacements,
|  | int | firstMismatchedReplacementIndex |
| ) |  |  | `[inline, explicit]`

Constructs an exception with the given message.

Parameters:

  | message | The message. May not be NULL
  | code | The code associated with the condition
  | numberOfReplacements | The number of replacement elements
  | firstMismatchedReplacementIndex | The index of the first mismatched replacement element

## Member Data Documentation

const ff_replacement_code_t code

The code indicating the cause of the problem.

const int numberOfReplacements

The number of replacement parameters in the format.

Examples:
  examples/example.ff_101/example.ff_101.cpp.

const int firstMismatchedReplacementIndex

The index of the first mismatched replacement parameter.

Examples:
  examples/example.ff_101/example.ff_101.cpp.

The documentation for this class was generated from the following file:

- fastformat/exceptions.hpp

FastFormat Library documentation © Matthew Wilson, 2006-2009 |